<template>
    <div class="wrapper">
        <fruit-basket-spreadsheet/>
        <fruit-basket-bar-chart/>
        <fruit-basket-pie-chart/>
    </div>
</template>

<script>
import FruitBasketSpreadsheet from './components/FruitBasketSpreadsheet'
import FruitBasketBarChart from './components/FruitBasketBarChart'
import FruitBasketPieChart from './components/FruitBasketPieChart'

export default {
    components: {
        FruitBasketSpreadsheet,
        FruitBasketBarChart,
        FruitBasketPieChart
    },
    computed: {
        fruitBasketOptions() {
            return this.$store.state.fruitBasketOptions
        },
        selectedFruitBasket() {
            return this.$store.state.selectedFruitBasket
        },
    },
    watch: {
        fruitBasketOptions() {
            console.log(`Fruit Basket Options updated: ${JSON.stringify(this.fruitBasketOptions, null, 2)}`)
        },
        selectedFruitBasket() {
            console.log(`Selected Fruit Basket updated: ${JSON.stringify(this.selectedFruitBasket, null, 2)}`)
        }
    }
}
</script>

<style lang="scss" scoped>
.wrapper {
	align-items: center;
	display: flex;
	height: 100%;
	justify-content: space-evenly;
}
</style>
